## org.codehaus.groovy.grails.orm.hibernate.metaclass
Class AbstractClausedStaticPersistentMethod.GrailsMethodExpression

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractClausedStaticPersistentMethod.GrailsMethodExpression

Enclosing class:
  AbstractClausedStaticPersistentMethod

    protected abstract static class AbstractClausedStaticPersistentMethod.GrailsMethodExpression

extends Object

Author:
  Graeme Rocher

Field Summary
`protected Object[]` `arguments`
`protected int` `argumentsRequired`
`protected boolean` `negation`
`protected String` `propertyName`
`protected Class` `targetClass`
`protected String` `type`

Constructor Summary
`AbstractClausedStaticPersistentMethod.GrailsMethodExpression(GrailsApplication application, Class targetClass, String propertyName, String type, int argumentsRequired, boolean negation)`

Method Summary
`protected static AbstractClausedStaticPersistentMethod.GrailsMethodExpression` `create(GrailsApplication application, Class clazz, String queryParameter)`
`(package private) abstract org.hibernate.criterion.Criterion` `createCriterion()`
`protected org.hibernate.criterion.Criterion` `getCriterion()`
`(package private) void` `setArguments(Object[] args)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### propertyName

    protected String propertyName

### arguments

    protected Object[] arguments

### argumentsRequired

    protected int argumentsRequired

### negation

    protected boolean negation

### type

    protected String type

### targetClass

    protected Class targetClass

Constructor Detail

### AbstractClausedStaticPersistentMethod.GrailsMethodExpression

    AbstractClausedStaticPersistentMethod.GrailsMethodExpression(GrailsApplication application,
                                                                 Class targetClass,
                                                                 String propertyName,
                                                                 String type,
                                                                 int argumentsRequired,
                                                                 boolean negation)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setArguments

    void setArguments(Object[] args)
                throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### createCriterion

    abstract org.hibernate.criterion.Criterion createCriterion()

### getCriterion

    protected org.hibernate.criterion.Criterion getCriterion()

### create

    protected static AbstractClausedStaticPersistentMethod.GrailsMethodExpression create(GrailsApplication application,
                                                                                         Class clazz,
                                                                                         String queryParameter)

Copyright (c) 2005-2009 The Grails project